Bio::Map::Position(3)

NAME
Bio::Map::Position - A single position of a Marker in a Map

SYNOPSIS
    use Bio::Map::Position;
    my $position = new Bio::Map::Position(-map => $map,
                                          -marker => $marker
                                          -value => 100
                                          );

DESCRIPTION
This object is an implementation of the PositionI interface that handles the specific values of a position. This allows an element (e.g. Marker) to have multiple positions within a map and still be treated as a single entity.

This does not directly handle the concept of a relative map in which no known exact positions exist but markers are just ordered relative to one another - in that case arbitrary values must be assigned for position values.

No units are assumed here - units are handled by context of which Map a position is placed in or the subclass of this Position.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Jason Stajich
Email jason@bioperl.org

Describe contact details here

CONTRIBUTORS
Lincoln Stein, lstein@cshl.org Heikki Lehvaslaiho, heikki@ebi.ac.uk Chad Matsalla, bioinformatics1@dieselwurks.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Bio::Map::Position();
 Function: Builds a new Bio::Map::Position object
 Returns : Bio::Map::Position
 Args    : -map     a <Bio::Map::MapI> object
           -marker  a <Bio::Map::MarkerI> object
           -value   string or number

  map
 Title   : map
 Usage   : my $id = map->$map;
 Function: Get/Set the map the position is in.
 Returns : L<Bio::Map::MapI>
 Args    : [optional] new L<Bio::Map::MapI>

  marker
 Title   : marker
 Usage   : my $id = marker->$marker;
 Function: Get/Set the marker the position is in.
 Returns : L<Bio::Map::MarkerI>
 Args    : [optional] new L<Bio::Map::MarkerI>

  value
 Title   : value
 Usage   : my $pos = $position->value;
 Function: Get/Set the value for this postion
 Returns : scalar, value
 Args    : [optional] new value to set

  numeric
 Title   : numeric
 Usage   : my $num = $position->numeric;
 Function: Read-only method that is guarantied to return a numeric
           representation for this position.
 Returns : numeric (int or real)
 Args    : none